

using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;
using Microsoft.AspNetCore.Mvc;

namespace CloudBuilder.Security.Service
{
    public interface ISecurityFunctionService : IServiceBase<SecurityFunctionData, string, SecurityFunctionSearchCriteria>
    {
        SecurityFunctionResultData FindBySearchCriteria(SecurityFunctionSearchCriteria tc);
        dynamic PrintBySearchCriteria(SecurityFunctionSearchCriteria tc);
        SecurityFunctionEntity FindByFunctionName(string functionName);
        SecurityFunctionDisplayData[] FindMenus();

        void Deletes(string[] keys);
    }
}
